Eclipse Platform Release 3.7

## org.eclipse.ui.views.markers
Class MarkerViewUtil

    java.lang.Object
      org.eclipse.ui.views.markers.MarkerViewUtil

    public class MarkerViewUtil

extends Object

Utility class for showing markers in the marker views.

Field Summary
`static String` `NAME_ATTRIBUTE` The NAME_ATTRIBUTE is the tag for the attribute on a marker that can be used to supply the String for the name rather than using the name of the underlying resource.
`static String` `PATH_ATTRIBUTE` The PATH_ATTRIBUTE is the tag for the attribute on a marker that can be used to supply the String for the path rather than using the path of the underlying resource.

Constructor Summary
`MarkerViewUtil()`

Method Summary
`static String` `getViewId(IMarker marker)` Returns the id of the view used to show markers of the same type as the given marker.
`static boolean` `showMarker(IWorkbenchPage page, IMarker marker, boolean showView)` Shows the given marker in the appropriate view in the given page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_ATTRIBUTE

    public static final String PATH_ATTRIBUTE

  The PATH_ATTRIBUTE is the tag for the attribute on a marker that can be used to supply the String for the path rather than using the path of the underlying resource.

  Since:
    3.2
  See Also:
    `IMarker.getAttribute(java.lang.String)`, Constant Field Values

### NAME_ATTRIBUTE

    public static final String NAME_ATTRIBUTE

  The NAME_ATTRIBUTE is the tag for the attribute on a marker that can be used to supply the String for the name rather than using the name of the underlying resource.

  Since:
    3.2
  See Also:
    `IMarker.getAttribute(java.lang.String)`, Constant Field Values

Constructor Detail

### MarkerViewUtil

    public MarkerViewUtil()

Method Detail

### getViewId

    public static String getViewId(IMarker marker)
                            throws CoreException

  Returns the id of the view used to show markers of the same type as the given marker.

  Parameters:
    `marker` - the marker
  Returns:
    the view id or `null` if no appropriate view could be determined
  Throws:
    `CoreException` - if an exception occurs testing the type of the marker
  Since:
    3.0

### showMarker

    public static boolean showMarker(IWorkbenchPage page,
                                     IMarker marker,
                                     boolean showView)

  Shows the given marker in the appropriate view in the given page. This must be called from the UI thread.

  Parameters:
    `page` - the workbench page in which to show the marker
    `marker` - the marker to show
    `showView` - `true` if the view should be shown first `false` to only show the marker if the view is already showing
  Returns:
    `true` if the marker was successfully shown, `false` if not
  Since:
    3.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.